MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023327Community[OCCT] OCCT:Application Frameworkpublic2012-07-18 17:332012-11-16 13:17
ReporterPawel 
Assigned Toszy 
PrioritynormalSeverityjust a question 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023327: There are identical sub-expressions to the left and to the right of the '&&' operator
DescriptionIn TObj_Model.cxx, TObj_Model::updateBackReferences, line 632

for(;aChildren->More() && aChildren->More(); aChildren->Next())

the condition 'aChildren->More() && aChildren->More()' seems to be redundant.

Could one check be deleted or maybe some additional verification was meant to be done at this place (although it doesn't look like because there are not many variables to check at this point)?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021447)
szy (administrator)
2012-09-10 15:06

Fixed in branch CR23327.
Review it, please.
(0021448)
vro (developer)
2012-09-10 15:10

Reviewed!
(0021489)
apn (administrator)
2012-09-14 15:39

Dear BugMaster,
Branch CR23327 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master fc9e2095
Timestamp: 2012-09-14 13:53:59
Author: szy
Details ] Diff ]
0023327: There are identical sub-expressions to the left and to the right of the '&&' operator
mod - src/TObj/TObj_Model.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 17:33 Pawel New Issue
2012-07-18 17:33 Pawel Assigned To => bugmaster
2012-08-17 16:44 bugmaster Assigned To bugmaster => szy
2012-08-17 16:44 bugmaster Status new => assigned
2012-09-10 15:06 szy Note Added: 0021447
2012-09-10 15:06 szy Assigned To szy => vro
2012-09-10 15:06 szy Status assigned => resolved
2012-09-10 15:10 vro Note Added: 0021448
2012-09-10 15:10 vro Assigned To vro => mkv
2012-09-10 15:10 vro Status resolved => reviewed
2012-09-14 15:39 apn Note Added: 0021489
2012-09-14 15:40 apn Test case number => Not needed
2012-09-14 15:40 apn Assigned To mkv => bugmaster
2012-09-14 15:40 apn Status reviewed => tested
2012-09-17 17:29 szy Changeset attached => occt master fc9e2095
2012-09-17 17:30 szy Assigned To bugmaster => szy
2012-09-17 17:30 szy Status tested => verified
2012-09-17 17:30 szy Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker